Subject: bug#73285: 30.0.90; editorconfig-indentation-alist missing modes

From: Stefan Monnier <[email-masked]>
Date: Tue, 17 Sep 2024 09:16:52 -0400

>> Recently new modes were added to the EditorConfig on GitHub, but those
>> modes have not made their way into Emacs' EditorConfig implementation.

The two code branches aren't in sync, indeed.  I'll see if I can bring
our up-to-date with the upstream code ASAP.

> The variable listing the modes is a defcustom, so users can update it
> themselves.  We will never be able to be up-to-date with all the modes
> out there that are not part of Emacs.

Indeed.  For this reason the code in Emacs (not yet upstream) introduced
`editorconfig-indent-size-vars` which is supposed to be set by the major
modes themselves.

So we should arguably change `ada/gpr(-ts)-mode` to set
`editorconfig-indent-size-vars`.

        Stefan